Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class QJspFactory

    java.lang.Object
      |
      +--javax.servlet.jsp.JspFactory
            |
            +--com.caucho.jsp.QJspFactory

public class QJspFactory
extends JspFactory

Constructor Summary
`QJspFactory()`

Method Summary
`static QJspFactory` | `create()`
`JspEngineInfo` | `getEngineInfo()`
`PageContext` | `getPageContext(Servlet servlet, ServletRequest request, ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int buffer, boolean autoFlush)`
`java.lang.String` | `getSpecificationVersion()`
`void` | `releasePageContext(PageContext pc)`

Methods inherited from class javax.servlet.jsp.JspFactory
`getDefaultFactory, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QJspFactory

    public QJspFactory()

Method Detail

### create

    public static QJspFactory create()

### getPageContext

    public PageContext getPageContext(Servlet servlet,
                                      ServletRequest request,
                                      ServletResponse response,
                                      java.lang.String errorPageURL,
                                      boolean needsSession,
                                      int buffer,
                                      boolean autoFlush)

  Overrides:
    `getPageContext` in class `JspFactory`

### releasePageContext

    public void releasePageContext(PageContext pc)

  Overrides:
    `releasePageContext` in class `JspFactory`

### getSpecificationVersion

    public java.lang.String getSpecificationVersion()

### getEngineInfo

    public JspEngineInfo getEngineInfo()

  Overrides:
    `getEngineInfo` in class `JspFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD